W3M(1)

NAME
w3m - Ein auf Texte ausgerichtetes Programme zur Anzeige von Dateien und Datenströmen sowie zum Browsen im Internet

SYNOPSIS
w3m [OPTION]... [ Datei | URL ]...

BESCHREIBUNG

w3m ist ein textorientierter Browser, der lokale oder im Internet liegende Seiten sowie andere Dokumente anzeigen kann. Er verarbeitet HTML-Tabellen und Frames, nicht jedoch JavaScript und Cascading Style Sheets. w3m kann auch als Textbetrachter (Pager) dienen. Entsprechende Dateien werden beim Aufruf als Argument angegeben oder an der Standardeingabe als Datenstrom übernommen. Mit w3m kann sich der Benutzer überdies durch Verzeichnisbäume bewegen.

w3m arbeitet mit Reitern (Registerkarten, Tabs) und Puffern, was einen einfachen Wechsel zwischen geladenen Inhalten erlaubt. Wenn die Erweiterung w3m-img installiert ist, zeigt w3m auch in die Seiten eingebundene Grafiken an. Wann immer die Umsetzung von HTML-Inhalten durch w3m Ihren Ansprüchen nicht genügt, reicht ein einzelnes Kommando, um die Ziel-URL einem grafischen Browser zu übergeben.

Um nach Start des Programms Hilfe zu den Optionen zu erhalten, drücken Sie “H”.

ARGUMENTE

Wenn das Programm mit einem oder mehreren Argumenten aufgerufen wird, behandelt w3m diese Ziele je nach Typ des Inhalts. Bei Daten aus dem Internet verwertet w3m die Angabe in den HTTP-Kopfzeilen. Bei relativen oder absoluten Pfaden in Dateisystemen richtet sich w3m nach dem Dateinamen.

Ohne Argument aufgerufen, erwartet w3m unformatierte Daten aus der Standardeingabe, es sei denn, der Benutzer hat einen anderen MIME-Typ angegeben.

Sollte w3m weder ein Zielobjekt vorliegen noch ein Ausweichen vorgesehen sein (beispielsweise durch die Option -v, siehe unten), gibt das Programm nur Benutzungshinweise aus.

OPTIONEN
Vor Befehlszeilen-Optionen steht das “-” Zeichen einzeln, ihnen kann ein Argument folgen.

  Allgemeine Optionen

-B  starte mit einer Ansicht aller Lesezeichen (wenn kein anderes Zielobjekt angegeben ist)

-M  monochrome Anzeige

-no-mouse
    Mausfunktion aus

-num
    zeige Zeilennummern an

-N  verteile die übergebenen Argumente unter Reitern. Standardmäßig würde ein Stapel von Puffern benutzt

-ppc num
    Weite von num Bildpunkten pro Zeichen, einstellbar von 4.0 bis 32.0, standardmäßig 8.0. Größere Werte machen Tabellen enger. (Implementierung unklar)

-ppl num
    Höhe von num Bildpunkten pro Linie, einstellbar von 4.0 bis 64.0. (Implementierung unklar)

-title, -title=TERM
    verwende den Puffernamen auch als Titel des Terminalfensters. Soweit TERM eingegeben wurde, konfiguriert dieser Wert den Stil des Titels

-v  begrüße den Benutzer mit einer eingebauten Seite (wenn kein anderes Zielobjekt angegeben ist)

-W  wechsle zwischen umlaufendem und nicht umlaufendem Suchen

-X  initialisiere nach Verlassen des Programms das Terminal nicht neu

+Zahl
    gehe zu Zeile Zahl; wirkt nur, wenn Zahl größer ist als die im Terminal verfügbare Zeilenzahl

  Browser-Optionen

-cols num
    bei für die Standardausgabe bestimmten Inhalten, nimm bei der Umsetzung von HTML eine Länge von num Zeichen pro Zeile

-cookie, -no-cookie
    verwende gespeicherte Cookies und akzeptiere neue. Oder tue weder das eine noch das andere

-F  verarbeite Frames

-graph, -no-graph
    bei der Umsetzung von Tabellen und Frames grafische Zeichen verwenden oder nicht verwenden

-header Zeichenkette
    füge Zeichenkette der HTTP(S)-Anfrage an. Diese muss der Kopfdaten-Syntax Variable: Wert entsprechen

-m  stelle eine Usenet-Nachricht entsprechend “Content-type” in den Kopfdaten dar

-no-proxy
    verwende keinen Proxy

-post Datei
    verwende die Methode POST, um in Datei hinterlegte Daten hochzuladen. Hierbei wird die Syntax var1=wert1[&var2=wert2]… erwartet

-4  nur IPv4. Entspricht dns_order=4 in der Konfigurationsdatei

-6  nur IPv6. Entspricht dns_order=6 in der Konfigurationsdatei

  Textbetrachter-Optionen

-l num
    Anzahl der Zeilen, die zwischengespeichert werden, wenn Text per Standardeingabe übergeben wurde. (Voreinstellung ist 10000)

-r  verarbeite spezielle Escape-Zeichen (beispielsweise ANSI-Escape-Zeichen oder nroff-Rückwärtsschritte für fette und unterstrichene Zeichen) nicht, sondern zeige sie stattdessen mittels Caret-Notation.

-s  mehrere leere Zeilen werden bis auf eine gelöscht

-t num
    berücksichtige Tab-Zeichen so, dass Spalten mit einer Weite von num Zeichen entstehen

  Datenart- und Datenkodierungs-Optionen

-I charset
    zu benutzende Zeichenkodierung für erhaltene Daten

-O charset
    zu benutzende Zeichenkodierung für auszugebende Daten

-T Typ
    zu benutzender MIME-Typ für erhaltenen Daten

  Optionen zur Datenausgabe, mit sofortigem Verlassen des Programms

-dump
    leite die verarbeitete Seite der Standardausgabe zu. Die Option gilt als gesetzt, wenn der Aufruf beinhaltet, dass die Ausgabe in eine Datei umgeleitet oder einem weiteren Programm übergeben wird.

-dump_source
    leite den Seitenquelltext der Standardausgabe zu

-dump_head
    leite die Antwort einer HEAD-Anfrage für eine URL der Standardausgabe zu

-dump_both
    leite Antwort auf HEAD-Anfrage und Seitenquelltext der Standardausgabe zu

-dump_extra
    leite Antwort auf HEAD-Anfrage, Seitenquelltext und Extrainformation der Standardausgabe zu

-help
    zeige eine Zusammenfassung verfügbarer Funktionen und Befehlszeilen-Optionen

-show-option
    zeige alle zur Konfiguration verfügbaren Optionen

-version
    gibt die Version von w3m aus

  Optionen, die Standards für Einstellungen und Datenquellen außer Kraft setzen

-bookmark Datei
    benutze anstelle der Standarddatei bookmark.html für Lesezeichen die Datei Datei

-config Datei
    benutze Datei anstelle der Standardkonfigurationsdatei

-debug
    BITTE NICHT BENUTZEN

-o Option=Wert
    arbeite mit einer Konfiguration, bei der die Einstellung Option mit Wert belegt ist. Ohne Option=Wert gleichwertig mit -show-option

-reqlog
    Protokolliere Header der HTTP-Kommunikation in Datei ~/.w3m/request.log

BEISPIELE

  Verwendung als Textbetrachter

zwei HTML-Fragmente zusammengefügt anzeigen
        $ cat header.html footer.html | w3m -T text/html

zwei Dateien unter Reitern einander gegenüberstellen
        $ w3m -N config.old config

  browser-artige Verwendung

zeige Internet-Inhalt in monochromem Terminal
        $ w3m -M http://w3m.sourceforge.net

zeige eingebettete Grafiken an
        $ w3m -o auto_image=TRUE http://w3m.sourceforge.net

zeige Inhalt aus dem Usenet
        $ w3m -m nntp://news.aioe.org/comp.os.linux.networking

mit der POST-Methode Daten für eine URL hochladen
        $ w3m -post - http://example.com/form.php <<<'a=0&b=1'

  filterartige Verwendung

konvertiere eine HTML-Datei in reinen Text von bestimmter Zeilenlänge
        $ w3m -cols 40 foo.html > foo.txt

übergib den Bestand an Lesezeichen mit zugehörigen Links als reinen Text einer Datei.
        $ w3m -B -o display_link_number=1 > out.txt

Konvertierung in ein anderes Dateiformat und eine andere Zeichenkodierung
        $ w3m -T text/html -I EUC-JP -O UTF-8 < foo.html > foo.txt

  starte ohne Eingabedaten

begrüße den Benutzer mit einer eingebauten Seite
        $ w3m -v

UMGEBUNGSVARIABLEN
w3m weicht auf den Wert der Umgebungsvariablen WWW_HOME aus, wenn das Programm ohne Zielobjekt aufgerufen wurde.

DATEIEN

~/.w3m/bookmark.html
    voreingestellte Datei für Lesezeichen

~/.w3m/config
    benutzerdefinierte Konfigurationsdatei; gegenüber /etc/w3m/config vorrangig

~/.w3m/cookie
    Ablageort für Cookies; wird beim Verlassen des Programms geschrieben und beim Aufruf gelesen

~/.w3m/history
    Chronik besuchter Seiten und URLs

~/.w3m/keymap
    benutzerdefinierte Tastaturbelegung, setzt standardmäßige Belegung außer Kraft

~/.w3m/mailcap
    Konfigurationsdatei für Programme zur externen Anzeige

~/.w3m/menu
    benutzerdefiniertes Menü; vorrangig gegenüber Standardmenü

~/.w3m/mime.types
    Datei mit MIME-Typen

~/.w3m/mouse
    benutzerdefinierte Mauseinstellungen

~/.w3m/passwd
    Datei mit Nutzerkonto-Passwort-Liste

~/.w3m/pre_form
    enthält vordefinierte Werte für wiederkehrende HTML-Formulare

SIEHE AUCH
README und Beispieldateien finden Sie im Dokumentationsverzeichnis Ihrer w3m-Installation. Aktuelle Informationen zu w3m finden Sie auf der Projektseite unter (http://w3m.sourceforge.net)

DANKSAGUNGEN
In w3m ist Programmcode verschiedener Quellen eingeflossen. Benutzer haben mit Korrekturen (Patch-Dateien) und Vorschlägen zur Verbesserung des Programms beigetragen.

AUTOR
Akinori ITO (aito@fw.ipsj.or.jp) Die deutsche Übersetzung wurde 2016 von Markus Hiereth (markus.hiereth@freenet.de) erstellt.